## meshlab 1.3.0a+dfsg1

=== debian/changelog ===
meshlab (1.3.0a+dfsg1-3ubuntu2) quantal; urgency=low

  * No-change rebuild for libglew1.7 -> libglew1.8 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 08 Sep 2012 19:53:58 +0400

meshlab (1.3.0a+dfsg1-3ubuntu1) quantal; urgency=low

  * Add -lGLU to 18_RESOLUTION.patch to fix FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Wed, 20 Jun 2012 23:32:35 +0400

meshlab (1.3.0a+dfsg1-3) unstable; urgency=low

  * rules:
    - Add get-orig-source target.
    - Add build-arch and build-indep targets as recommended by lintian.
    - Use dpkg-buildflags to give flags to qmake.
  * copyright:
    - Use the latest machine readable copyright format.
    - Point to versioned GPLv2 in common-licenses (fixes a lintian warning).
    - Remove copyright info for removed gdb macros.
  * control: Upgrade to standards-version 3.9.3.
  * Upgrade to debhelper version 9.
  * New patches:
    - 14_structuresynth: Include glu.h where needed in included
      structure-synth code.
    - 15_gcc47: Fix FTBFS with GCC-4.7 (closes: #667276).
      Thanks to Matej Vela for the patch.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 14 Jun 2012 15:59:55 +0200

meshlab (1.3.0a+dfsg1-2) unstable; urgency=low

  * rules: Use linux-g++ as qmake spec (fixes FTBFS with qt4 > 4.7).
  * New patches:
    - 12_ply_numeric: Set LC_NUMERIC to "C" in main().
      Thanks to Luka Frelih for the patch. Closes: #623361.
    - 13_cstddef: Include <cstddef> on files using offsetoff
      (closes: #625053).

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 12 May 2011 12:17:16 +0200

meshlab (1.3.0a+dfsg1-1) unstable; urgency=low

  * New upstream version (closes: #618522)
  * Repackage the upstream sources to get rid of some files with questionable
    licensing information and useless libraries, see the copyright file for
    details.
  * Builds with GCC-4.5 (closes: #565034)
  * Fix watch-file to work with new upstream names and dfsg source
    (closes: #582477)
  * Require debhelper version 8 or above.
  * control:
    - Update standards-version to 3.9.1, cleanup.
    - Remove build-dep to libgl-dev to fix a lintian warning about a
      build-dep to a virtual package.
    - Remove build-dep to asciidoc, add build-dep to libeigen2-dev.
  * rules:
    - Remove manpage-related code.
    - Build the necessary code from meshlab/src/external. Also clean it.
    - Override dh_shlibdeps to include /usr/lib/meshlab in search path.
    - Don't install shader licenses.
  * install: Install binaries from meshlab/src/distrib.
  * copyright: Update to the latest DEP5 format, document changes due to
    source repackaging and add the copyright info for the files added in
    this upstream release.
  * Hardcode shadersDir and pluginDir in upstream source to locations
    in the Debian binary package.
  * Use source format '3.0 (quilt)'.
  * Split changes affecting upstream code to branches in the git repository
    at git.d.o. Add DEP3 patch metadata headers to debian/metapatches and
    generate patches from git branches with gdp (http://gitorious.org/gdp).
    Current patches:
    - 01_muparser: Use Debian muparser.
    - 02_qhull: Use Debian qhull.
    - 03_lib3ds: Use Debian lib3ds.
    - 04_libbz2: Use Debian libbz2.
    - 05_glew: Use Debian GLEW.
    - 06_eigen: Use Debian Eigen.
    - 07_disable-updates: Disable checking for updates on startup.
    - 08_externals: Only build necessary external sources.
    - 09_rpath: Use /usr/lib/meshlab as RPATH in binaries.
    - 10_shadersdir: Hardcode shadersDir to the correct path in Debian
    - 11_pluginsdir: Hardcode pluginsDir to the correct path in Debian
  * Add a README.source file documenting the patch generation.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 28 Mar 2011 17:54:11 +0200

meshlab (1.2.2-3) UNRELEASED; urgency=low

  * control: Add Build-dep to libgl-dev
  * Disable checking for updates on startup (LP: #652145)
  * io_u3d.cpp: Use correct IDTFConverter path under Linux.
  * export_u3d.h: Add hyperref package to LaTeX output,
    makes pdflatex compilation work correctly in Debian.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 03 Mar 2011 11:28:01 +0100

meshlab (1.2.2-2) unstable; urgency=low

  * Add a watch file
  * Call a2x with -L switch to avoid use of xmllint (closes: #556824)

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 18 Nov 2009 18:36:11 +0100

meshlab (1.2.2-1) unstable; urgency=low

  * New upstream version
  * Do not build filter_isoparametrization because liblevmar dependency
    is not (yet) in Debian
  * Fix compilation with gcc-4.4, thanks to Jonathan Liu for the patch
    (closes: #539544)
  * rules: Add compiler variables to the qmake call (for testing with new
    GCC versions)
  * io_3ds.pro: Make LIBS and INCLUDEPATH point to Debian version of lib3ds
  * io_epoch.pro: Make LIBS point to Debian version of libbz2
  * control:
    - Move Homepage URL to the source package section
    - Update to standards-version 3.8.3

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 08 Oct 2009 16:40:41 +0200

meshlab (1.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Patch upstream source to build with Debian versions of GLEW,
    qhull, lib3ds, libbz2, muparser
  * rules:
    - Add build-deps to libqhull-dev, libmuparser-dev
    - Build asciidoc manpages from meshlab/docs with a2x
  * install: Do not install textures
  * copyright: Update

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 27 May 2009 18:07:15 +0200

meshlab (1.2.0-1) UNRELEASED; urgency=low

  * New upstream version
  * Add a debian/manpages file
  * Add xpm icons
  * Add a .desktop file
  * Fix plugin and shader paths to Debian standards
  * control:
    - Build-dep and compat to debhelper v7
    - Upgrade to standards-version 3.8.1
  * install:
    - Install rendermonkey shaders
    - Install plugins to /usr/lib/meshlab/plugins
    - Install .desktop file and icons
  * rules: clean up and simplify with dh

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 30 Apr 2009 16:08:53 +0200


