## meshlab 1.3.2+dfsg1

=== debian/changelog ===
meshlab (1.3.2+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with GCC 7 (Closes: #853545)
  * Update upstream homepage and debian/watch
  * Switch to debhelper 10
  * Bump Standards-Version to 4.0.1, no further changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 08 Aug 2017 14:56:50 +0200

meshlab (1.3.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 6, thanks Gert Wollny. (Closes: #811634)
  * Fix narrowing conversion on architectures where
    char is unsigned by default.
  * Set Maintainer field to Debian Science Maintainers.
  * Use secure URIs for VCS fields.
  * Remove debian/menu, see #741573.
  * Bump Standards-Version to 3.9.8, no further changes.
  * Use eye64.png as the icon instead of meshlab_32x32.xpm.

 -- Graham Inggs <ginggs@debian.org>  Mon, 21 Nov 2016 16:02:07 +0200

meshlab (1.3.2+dfsg1-2) unstable; urgency=low

  * Install plugin XML files under src/distrib/plugins.
  * Update Standards-Version to 3.9.5.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 07 Nov 2013 16:32:03 +0100

meshlab (1.3.2+dfsg1-1) unstable; urgency=low

  * New upstream version (closes: #693649)
  * Repackaged dfsg-sources remove copies of glew-1.7.0, OpenCTM-1.0.3,
    Eigen3, etc. See debian/copyright for details.
  * Add libGLU to LIBS in meshlab.pro. Fixes an FTBFS in Ubuntu.
    Thanks to Ilya Barygin for the fix. Closes: #678312.
  * New patches:
    - overflow: Fix overflowing array index in VCGlib,
      also fixes E-array-bounds error in Debian build log scanner
    - openctm: Use Debian OpenCTM
    - format-security: Fix compilation errors with -Werror=format-security
    - crash-on-save: Fix crash on project save. Patch from upstream
      SVN commit [r6114] (closes: #718583).
  * Add a lintian-override file. Override hardening-no-fortify-functions
    in meshlab plugins.
  * Add shared-mime-info data for media types supported by meshlab.
    Also, add the supported types meshlab.mime mailcap file and
    meshlab.desktop file, to enable file manager open file support.
    (closes LP: #1077620)
  * watch: Fix dversionmangle regex
  * copyright: Update
  * control:
    - Upgrade to standards-version 3.9.4
    - Build-dep on libopenctm-dev, libeigen3-dev
    - Add Recommends to chemical-mime-data to get more supported media types
  * rules:
    - Clean clean target.
    - get CXXFLAGS from dpkg-buildflags for QMAKE_CXXFLAGS.
    - Remove jhead makefile in clean target.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 08 Oct 2013 00:34:58 +0200
