=== debian/control ===
Source: meshlab
Section: graphics
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/meshlab.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/meshlab.git
Build-Depends: debhelper (>= 10),
               docbook-xsl,
               lib3ds-dev (>=1.3.0),
               libbz2-dev,
               libeigen3-dev,
               libglew-dev,
               libmuparser-dev,
               libopenctm-dev,
               libqhull-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               xsltproc
Homepage: http://www.meshlab.net
Standards-Version: 4.0.1

Package: meshlab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: chemical-mime-data
Description: System for processing and editing triangular meshes
 MeshLab is an open source, portable, and extendible system for the
 processing and editing of unstructured 3D triangular meshes.
 The system is aimed to help the processing of the typical not-so-small
 unstructured models arising in 3D scanning, providing a set of tools for
 editing, cleaning, healing, inspecting, rendering and converting this kind
 of meshes.
 .
 Meshlab can read files in these formats: PLY, STL, OFF, OBJ, 3DS, COLLADA
 and PTX. It can write PLY, STL, OFF, OBJ, 3DS, COLLADA, VRML, and DXF.
