=== debian/rules ===
--- 
+++ 
@@ -4,27 +4,31 @@
 QMAKE_DPKG_BUILDFLAGS=\
  QMAKE_CFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
  QMAKE_CFLAGS_DEBUG="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
- QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
- QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
- QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)" QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)"
+ QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
+ QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
+ QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)" \
+ QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)"
 
-DEBVERSION := 1.3.1.dfsg1
-TARBALL = MeshLabSrc_AllInc_v131.tgz
+DEBVERSION := 1.3.2+dfsg1
+TARBALL = MeshLabSrc_AllInc_v132.tgz
 TDIR = meshlab-$(DEBVERSION)
 get-orig-source:
 	mkdir $(TDIR)
 	wget http://qa.debian.org/watch/sf.php/meshlab/$(TARBALL)
 	tar -C $(TDIR) -zxf $(TARBALL)
 	rm -rf $(TDIR)/meshlab/src/distrib/render_template
+	rm -rf $(TDIR)/meshlab/src/distrib/sample
 	# Remove external libraries which are in Debian or not used
 	rm -rf $(TDIR)/meshlab/src/external/ann_1.1.1
 	rm -rf $(TDIR)/meshlab/src/external/bzip2-1.0.5
 	rm -rf $(TDIR)/meshlab/src/external/glew-1.5.1
+	rm -rf $(TDIR)/meshlab/src/external/glew-1.7.0
 	rm -rf $(TDIR)/meshlab/src/external/inc
 	rm -rf $(TDIR)/meshlab/src/external/lib3ds-1.3.0
 	rm -rf $(TDIR)/meshlab/src/external/muparser_v130
 	rm -rf $(TDIR)/meshlab/src/external/muparser_v132
 	rm -rf $(TDIR)/meshlab/src/external/ode-0.11.1
+	rm -rf $(TDIR)/meshlab/src/external/OpenCTM-1.0.3
 	rm -rf $(TDIR)/meshlab/src/external/openkinect
 	rm -rf $(TDIR)/meshlab/src/external/qhull-2003.1
 	rm -rf $(TDIR)/meshlab/src/external/tsai-30b3
@@ -36,8 +40,10 @@
 	rm -rf $(TDIR)/meshlab/src/plugins_unsupported
 	# Eigen is already in Debian.
 	rm -rf $(TDIR)/vcglib/vcg/Eigen
+	rm -rf $(TDIR)/vcglib/eigenlib
+	rm -rf $(TDIR)/vcglib/wrap/system/time
 	#
-	tar -zcf meshlab-$(DEBVERSION).orig.tar.gz $(TDIR)
+	tar -zcf meshlab_$(DEBVERSION).orig.tar.gz $(TDIR)
 
 configure: configure-stamp
 configure-stamp:
@@ -64,12 +70,13 @@
 	-rm -rf meshlab/src/external/lib/linux-g++
 	-rm meshlab/src/external/levmar-2.3/Makefile.levmar-2
 	-rm meshlab/src/external/structuresynth/Makefile.structuresynth
-	-rm meshlab/src/meshlab/plugins/*.so
+	-rm meshlab/src/external/jhead-2.95/Makefile.jhead-2
 	-find ./ -name "Makefile" | xargs rm -f
 	-find ./ -name "Makefile.Debug" | xargs rm -f
 	-find ./ -name "Makefile.Release" | xargs rm -f
 	-mv 3Dlabs-license.txt meshlab/src/distrib/shaders
 	-mv LightworkDesign-license.txt meshlab/src/distrib/shaders
+	-rm debian/meshlab.png
 
 override_dh_shlibdeps:
 	dh_shlibdeps -lusr/lib/meshlab
@@ -78,6 +85,7 @@
 	dh_testdir
 	-mv meshlab/src/distrib/shaders/3Dlabs-license.txt .
 	-mv meshlab/src/distrib/shaders/LightworkDesign-license.txt .
+	cp meshlab/src/meshlab/images/eye64.png debian/meshlab.png
 	dh install
 
 # Build architecture-independent files here.
