=== debian/watch ===
version=3
opts=dversionmangle=s/[+.]dfsg\d+// \
    https://github.com/cnr-isti-vclab/meshlab/tags .*/v?(\d{4}\.\d{2})\.tar\.gz
