## meshlab 2020.02+git200217

=== debian/changelog ===
meshlab (2020.02+git200217-1) unstable; urgency=medium

  * Team upload.
  * Add myself to Uploaders.
  * New upstream version. (Closes: #910660, #946685, #875041)
  * debian/patches: lost+notfound.
  * Update Vcs fields.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 12.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 14:52:55 +0100
