=== debian/control ===
Source: meshlab
Section: graphics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), cmake, docbook-xsl, lib3ds-dev (>=1.3.0),
 libbz2-dev, libeigen3-dev, libglew-dev, libmuparser-dev, libopenctm-dev, libqhull-dev,
 xsltproc, qt5-default, qtscript5-dev, libqt5xmlpatterns5-dev, mesa-common-dev, libglu1-mesa-dev,
 lib3ds-dev, libglew-dev, libgmp-dev, libqt5opengl5-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/science-team/meshlab.git
Vcs-Browser: https://salsa.debian.org/science-team/meshlab
Homepage: http://www.meshlab.net/

Package: meshlab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: chemical-mime-data
Description: System for processing and editing triangular meshes
 This is an open source, portable, and extendible system for the
 processing and editing of unstructured 3D triangular meshes.
 The system is aimed to help the processing of the typical not-so-small
 unstructured models arising in 3D scanning, providing a set of tools for
 editing, cleaning, healing, inspecting, rendering and converting this kind
 of meshes.
 .
 Meshlab can read files in these formats: PLY, STL, OFF, OBJ, 3DS, COLLADA
 and PTX. It can write PLY, STL, OFF, OBJ, 3DS, COLLADA, VRML, and DXF.
